Debian Bug report logs - #699123
ITP: python-sh -- Python subprocess interface

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: ben@futeisha.org

Date: Sun, 27 Jan 2013 20:45:01 UTC

Owned by: ben@futeisha.org

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699123; Package wnpp. (Sun, 27 Jan 2013 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ben@futeisha.org:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 27 Jan 2013 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ben@futeisha.org
To: <submit@bugs.debian.org>
Subject: ITP: python-sh -- Python subprocess interface
Date: Mon, 28 Jan 2013 05:43:33 +0900
Package: wnpp
Severity: wishlist

* Package name    : python-sh
  Version         : 1.07
  Upstream Author : Andrew Moffat <andrew.robert.moffat@gmail.com>
* URL             : https://github.com/amoffat/sh
  Download URL    : 
http://pypi.python.org/packages/source/s/sh/sh-1.07.tar.gz
* License         : MIT
  Programming Lang: Python
  Description     : Python subprocess interface

sh (previously pbs: http://pypi.python.org/pypi/pbs) is a full-fledged 
subprocess interface for Python 2.6 - 3.2 that allows you to call any 
program as if it were a function:

from sh import ifconfig
print ifconfig("eth0").



Owner recorded as ben@futeisha.org. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 28 Jan 2013 04:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ben@futeisha.org:
Bug#699123; Package wnpp. (Tue, 29 Jan 2013 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ben@futeisha.org. (Tue, 29 Jan 2013 00:57:03 GMT) Full text and rfc822 format available.

Message #12 received at 699123@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: ben@futeisha.org, 699123@bugs.debian.org
Subject: about packaging python-sh
Date: Tue, 29 Jan 2013 00:52:54 +0000
Hi Ben,

How the packaging goes? I've a package, ready to be uploaded. But the
ITP is yours, I only take over it if you all me to do so.
The same is for python-srp , I may take over that ITP as well.

Regards,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ben@futeisha.org:
Bug#699123; Package wnpp. (Tue, 29 Jan 2013 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Carrillo <ben@futeisha.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ben@futeisha.org. (Tue, 29 Jan 2013 06:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 699123@bugs.debian.org (full text, mbox):

From: Ben Carrillo <ben@futeisha.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 699123@bugs.debian.org
Subject: Re: Bug#699123: about packaging python-sh
Date: Tue, 29 Jan 2013 15:30:26 +0900
On Tue, Jan 29, 2013 at 12:52:54AM +0000, Laszlo Boszormenyi (GCS) wrote:
> Hi Ben,
> 
> How the packaging goes? I've a package, ready to be uploaded. But the

Hi Laszlo,
I got a sponsor and it is already in the NEW queue.
http://ftp-master.debian.org/new/python-sh_1.07-1.html

Any feedback is more than welcome :)

> -- 
> To UNSUBSCRIBE, email to debian-wnpp-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/1359420774.21674.141.camel@julia
> 



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 29 Jan 2013 07:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ben@futeisha.org:
Bug#699123; Package wnpp. (Fri, 22 Mar 2013 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <christine@spang.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ben@futeisha.org. (Fri, 22 Mar 2013 20:54:04 GMT) Full text and rfc822 format available.

Message #24 received at 699123@bugs.debian.org (full text, mbox):

From: Christine Spang <christine@spang.cc>
To: ben@futeisha.org
Cc: 699123@bugs.debian.org
Subject: python-sh source package
Date: Fri, 22 Mar 2013 17:17:23 -0400
Hi Ben,

Thanks for packaging sh!

Is your source package available somewhere? NEW processing is pretty
behind due to the impending release. :)

cheers,
Christine



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ben@futeisha.org:
Bug#699123; Package wnpp. (Tue, 28 May 2013 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ben@futeisha.org. (Tue, 28 May 2013 10:27:04 GMT) Full text and rfc822 format available.

Message #29 received at 699123@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Ben Carrillo <ben@futeisha.org>, Nick Moffitt <nick@zork.net>, 699123@bugs.debian.org
Subject: python-sh and pbs
Date: Tue, 28 May 2013 12:23:17 +0200
Hi Ben,

I noticed your package python-sh has been uploaded to NEW.

python-sh supersedes pbs, which has been available in the archive for
quite some time. I'm also sending this mail to Nick, maintainer of pbs
package, to discuss about how to proceed from this point.

I don't think pbs should be kept in the archive anymore if python-sh
is accepted, so I think transitional packages for python-pbs and
python3-pbs should be built by python-sh to allow for upgrades from
pbs packages.

This could be a good occasion to see if Nick is willing to act as
co-maintainer of python-sh, if both parties agree.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:32:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.